%define upstream_name	 Class-Autouse
%define upstream_version 2.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Run-time class loading on first method call in Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/Class-Autouse
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz
# Update Makefile.PL to not use Module::Install::DSL CPAN RT#148302
Patch0:     Class-Autouse-2.01-Remove-using-of-MI-DSL.patch

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.620.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(File::Temp) >= 0.170.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(List::Util) >= 1.180.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
Class::Autouse allows you to specify a class that will only load when a method
of that class is called. For large classes that might not be used during the
running of a program, such as Date::Manip, this can save you large amounts of
memory, and decrease the script load time.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
find lib -name \*.pm | xargs chmod 644
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%license LICENSE
%{perl_vendorlib}/Class
%{_mandir}/*/*


%changelog
* Fri Jan 31 2025 daviddavid <daviddavid> 2.10.0-14.mga10
+ Revision: 2143820
- add fedora patch to fix build

* Sun Mar 20 2022 umeabot <umeabot> 2.10.0-13.mga9
+ Revision: 1808470
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.10.0-12.mga8
+ Revision: 1503552
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 2.10.0-11.mga7
+ Revision: 1282250
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 2.10.0-10.mga7
+ Revision: 1163313
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 2.10.0-9.mga7
+ Revision: 1158877
- add BR on perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 2.10.0-8.mga6
+ Revision: 1023870
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.10.0-7.mga6
+ Revision: 949504
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 2.10.0-6.mga5
+ Revision: 790003
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.10.0-5.mga5
+ Revision: 743286
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.10.0-4.mga5
+ Revision: 683886
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.10.0-3.mga4
+ Revision: 509976
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.10.0-2.mga3
+ Revision: 364272
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 22 2012 kharec <kharec> 2.10.0-1.mga2
+ Revision: 212122
- update to 2.01

* Wed Feb 16 2011 jquelin <jquelin> 2.0.0-1.mga1
+ Revision: 52302
- update to 2.00

* Fri Jan 21 2011 jquelin <jquelin> 1.290.0-1.mga1
+ Revision: 29881
- mageia rebuild
- imported package perl-Class-Autouse


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.290.0-1mdv2010.0
+ Revision: 406872
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.29-3mdv2009.0
+ Revision: 255887
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.29-1mdv2008.1
+ Revision: 110280
- update to new version 1.29

* Fri Jul 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.28-1mdv2008.0
+ Revision: 56128
- update to new version 1.28


* Sat Nov 18 2006 Olivier Thauvin <nanardon@mandriva.org> 1.27-1mdv2007.0
+ Revision: 85430
- 1.27
- Import perl-Class-Autouse

* Sun Apr 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.26-1mdk
- New release 1.26
- spec cleanup
- fix directory ownership
- better source URL

* Tue Apr 11 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.25-1mdk
- New release 1.25

* Tue Jan 17 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.24-1mdk
- 1.24
- Fix perms

* Tue Oct 04 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.21-1mdk
- New release 1.21

* Sat Aug 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.20-1mdk
- 1.20

* Tue Mar 15 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.17-1mdk
- Initial MDK release.

